Pour la documentation en FRANÇAIS, utilisez l’outil de traduction de votre navigateur Chrome, Edge ou Safari. Voir un exemple.

The VeriStand engine must be installed onto the Real Time target before a project can be deployed to it.  The VeriStand version installed on the deployment target must match the development version.

The Power Electronics Add-on supports NI PXI Targets running either PharLap ETS or NI Linux RT operating systems.  For more information about NI RT target OS support, refer to Real-Time Controllers and Real-Time Operating System Compatibility.

Note: Make sure Enable Embedded UI is disabled for the target, as it may conflict with the execution of the Veristand Waveform Processing Loop.  This option is found under the target in NI MAX, in the Startup Settings section of the System Settings tab.

Software Installation on PharLap ETS Targets

The NI VeriStand Engine can be installed to a PharLap target using the NI Measurement & Automation Explorer.  Instructions for the installation process can be found on the NI website:

When the VeriStand Engine is selected in the Real Time Software Wizard, the necessary dependencies are automatically selected.  Other drivers may be required depending on the external hardware being used.



After the installation is complete, confirm that the following software is present under the Software tab for the Real Time target.  The VeriStand Engine version must match the version on the development machine.

Software Installation on NI Linux RT Targets

The NI VeriStand Engine can be installed to a Linux RT target using the NI Measurement & Automation Explorer.  Instructions for the installation process can be found on the NI website:


When selecting a Base System Image during the installation, use the latest version available.  Select the Programming Environment corresponding to your version of VeriStand:

Programming EnvironmentVeriStand Engine Version
LabVIEW 20202020 R4 (20.4.0)
LabVIEW 20192019 R3 (19.2.0)

When choosing packages, select NI VeriStand Engine and enable Include recommended packages to ensure that all necessary dependencies are installed onto the target.


  • No labels